---


- name: package apt
  ansible.builtin.apt:
    name: "{{ pkglist_apparmor }}"
    state: present


- name: get the number of profile with status complaining
  ansible.builtin.command: "/usr/sbin/aa-status --complaining"
  changed_when: no
  register: complaining


- name: find profiles in /etc/apparmor.d (find /etc/apparmor.d -maxdepth 1 -type f)
  ansible.builtin.find:
    depth: 1
    file_type: file
    path: /etc/apparmor.d
  changed_when: no
  register: results


- name: enforce all complaining profiles found in /etc/apparmor.d
  ansible.builtin.command: "/usr/sbin/aa-enforce {{ item }}"
  loop: "{{ results.files|json_query('[*].path') }}"
  register: enforce
  when: complaining.stdout != "0"


- name: restart_apparmor
  ansible.builtin.systemd:
    name: apparmor
    enabled: yes
    masked: no
    state: restarted
    daemon_reload: yes
  when: complaining.stdout != "0"
